<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

/*
 *  Shortcode for Event Page Calendar
 */

function evp_event_list($post) {

    /**
     * Enqueue script if the evp_eventlist shortcode is being used for Event Calendar
     */
    wp_enqueue_style('main_style', EVP_VOLUNTEER_URL . 'assets/css/style.css');
    wp_enqueue_style('fullcale', EVP_VOLUNTEER_URL . 'assets/css/fullcalendar.min.css');
    wp_enqueue_script('add_momentjs', EVP_VOLUNTEER_URL . 'assets/js/moment.min.js', array('jquery'));
    wp_enqueue_script('add_caljs', EVP_VOLUNTEER_URL . 'assets/js/fullcalendar.min.js', array('jquery'));
    ?>
    <script type="text/javascript">
        jQuery(document).ready(function() {

        jQuery('#calendar').fullCalendar({
        header: {
        left: 'prev,next today',
                center: 'title',
                right: 'month,agendaWeek,agendaDay,listWeek'
        },
                defaultDate: "   <?php echo date('Y-m-d'); ?>",
                editable: false,
                events: [<?php
    $events = get_posts(array('post_type' => 'evpevents', 'post_status' => 'publish', 'posts_per_page' => '-1'));

    if ($events) {
        foreach ($events as $event) {
            $id = $event->ID;
            $event_start = get_post_meta($event->ID, 'start_event', true);
            $event_end = get_post_meta($event->ID, 'end_event', true);
            $start_time = get_post_meta($event->ID, 'start_time', true);
            $end_time = get_post_meta($event->ID, 'end_time', true);

            $event_date = strtotime($event_start);
            $now = strtotime(date("Y-m-d"));

            // Set event title limit characters. 

            $title = strip_tags(get_the_title($event->ID));
            $evnt_title_char_count = strlen($title);
            if (!empty($title)) {
                if ($evnt_title_char_count > 10) {
                    $title = substr($title, 0, 10) . " ...";
                } else {
                    $title;
                }
            }

            $recurr = get_post_meta($event->ID, 'recurring_event', true);
            $all_day = get_post_meta($event->ID, 'all_day', true);

            $date = date_create($event_end);
            date_add($date, date_interval_create_from_date_string("1 days"));
            $allday_enddate = date_format($date, "Y-m-d");
            ?>
                        {
                        id: '<?php echo $id; ?>',
                                title: '<?php echo $title; ?>',
            <?php if ($all_day == "allday") { ?>
                            start: '<?php echo $event_start; ?>',
                                    end: '<?php echo $allday_enddate; ?>',
            <?php }
            ?>
                        url:'   <?php
            if ($event_date >= $now) {
                echo esc_url(get_permalink($id));
            } else {
                echo '#';
            }
            ?>',
            <?php
            if ($event_date >= $now) {
                ?>
                            className: 'evp_upcomming_event',
            <?php } ?>
                        },
            <?php
            if ($all_day != "allday") {
                if (isset($recurr) && !empty($recurr)) {
                    foreach ($recurr as $temp_date) {
                        ?>
                                    {
                                    id: '<?php echo $id; ?>',
                                            title: '<?php echo $title; ?>',
                                            start: '<?php echo $temp_date; ?>',
                                            url:'   <?php
                        if ($event_date >= $now) {
                            echo esc_url(get_permalink($id));
                        } else {
                            echo '#';
                        }
                        ?>',
                        <?php
                        if ($event_date >= $now) {
                            ?>
                                        className: 'evp_upcomming_event',
                        <?php } ?>
                                    },
                    <?php }
                    ?>
                    <?php
                }
            }
        }
    };
    ?>
                ]
        });
        });
    </script>

    <div id='calendar'></div>
    <?php
}

add_shortcode('evp_eventlist', 'evp_event_list');
