<?php
/* Plugin Name: Event Volunteer
 * Description: Event Volunteer is a very nifty responsive plugin that helps you collect the volunteer data wherever you need. A volunteer will register for the events and admin can assign the task to the event. The perspective of this plugin to help the admin to find the volunteer for his events and contact them for upcoming events.
 * Plugin URI: https://wordpress.org/plugins/event-volunteer
 * Author: Galaxy Weblinks
 * Author URI: http://galaxyweblinks.com
 * Version: 1.0
 * Text Domain: event-volunteer
 * License:GPL2
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

// Define plugin path and url
define('EVP_VOLUNTEER_URL', plugin_dir_url(__FILE__));
define('EVP_VOLUNTEER_PATH', plugin_dir_path(__FILE__));

require_once( ABSPATH . 'wp-admin/includes/plugin.php' );

/*
 *  Admin Notice for Wow Forms plugin if not active 
 */

function evp_notice_plugin() {
    if (!is_plugin_active('mwp-forms/mwp-forms.php')) {
        // Require Wow Forms Plugin
        ?>
        <div class="error"><p><?php _e("Event Volunteer plugin is enabled but not effective. It requires ", "event-volunteer"); ?><strong><a href="https://wordpress.org/plugins/mwp-forms/" target="_blank"><?php _e("Wow Forms plugin", "event-volunteer"); ?></a></strong> in order to work.</p></div>
                    <?php
                }
            }

            add_action('admin_notices', 'evp_notice_plugin');

            require_once ( EVP_VOLUNTEER_PATH . 'evp-functions.php');

            function evp_plugin_activate() {

                require_once ( EVP_VOLUNTEER_PATH . 'includes/evp-activator.php');
            }

            register_activation_hook(__FILE__, 'evp_plugin_activate');

            function evp_plugin_deactivate() {
                require_once ( EVP_VOLUNTEER_PATH . 'includes/evp-deactivator.php');
            }

            register_deactivation_hook(__FILE__, 'evp_plugin_deactivate');

            /*
             *  Plugin Setting Link 
             */

            function evp_settings_link($links_array, $evp_plugin_file_name) {
                if (strpos($evp_plugin_file_name, basename(__FILE__))) {
                    array_unshift($links_array, '<a href="admin.php?page=evp_form_setting">Settings</a>');
                }

                return $links_array;
            }

            add_filter('plugin_action_links', 'evp_settings_link', 10, 2);

            /*
             * Admin head define plugin Ajax URL
             */

            function evp_admin_head_elements() {
                ?>
    <script type="text/javascript">
        var evp_ajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>';
    </script>   
    <?php
}

add_action('admin_head', 'evp_admin_head_elements');

 