<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

include_once( EVP_VOLUNTEER_PATH . 'cpt/evp-event.php');
include_once( EVP_VOLUNTEER_PATH . 'cpt/evp-location.php');
include_once( EVP_VOLUNTEER_PATH . 'cpt/evp-event-task.php');
include_once( EVP_VOLUNTEER_PATH . 'evp-registration.php');
include_once( EVP_VOLUNTEER_PATH . 'evp-calendar-views.php');
include_once( EVP_VOLUNTEER_PATH . 'includes/evp-form.php');

/*
 * Enqueue Script for Event Single Page
 */

function evp_single_event_page() {
    global $post_type;
    if ('evpevents' == $post_type) {
        wp_enqueue_style('main_style', EVP_VOLUNTEER_URL . 'assets/css/style.css');
        wp_enqueue_script('main_script', EVP_VOLUNTEER_URL . 'assets/js/main.js', array('jquery'));
        wp_enqueue_script('password-strength-meter');
        wp_enqueue_script('validate-js', EVP_VOLUNTEER_URL . 'assets/js/jquery.validate.min.js', array('jquery'));
        wp_enqueue_script('validate-additional-methods', EVP_VOLUNTEER_URL . 'assets/js/additional-methods.js');
        wp_enqueue_script('multiselect-js', EVP_VOLUNTEER_URL . 'assets/js/jquery.multiselect.js');
        wp_enqueue_style('multiselect-css', EVP_VOLUNTEER_URL . 'assets/css/jquery.multiselect.css');
    }
}

add_action('wp_enqueue_scripts', 'evp_single_event_page');


/* Custom post type enqueue for Location */

function evp_location_script() {
    global $post_type;
    if ('evpevents' == $post_type) {
        wp_enqueue_script('map_script', EVP_VOLUNTEER_URL . 'assets/js/map.js');
        wp_enqueue_script('add_script', 'http://maps.google.com/maps/api/js?key=AIzaSyAG7OibLj9AyD-fgfJ5kLPdeDKckLbC8sk');
    }
}

add_action('wp_enqueue_scripts', 'evp_location_script');


/* Custom single page for Event */

function evp_custom_post_type_single_template($single_template) {
    global $post;

    if ($post->post_type == 'evpevents') {

        $single_template = dirname(__FILE__) . '/includes/single-evpevents.php';
    }
    return $single_template;
}

add_filter('single_template', 'evp_custom_post_type_single_template');

/*
 * Admin enqueue for Custom post type Events, Location and Event Task  
 */

function evp_admin_event_script() {
    global $post;
    global $page;
    if (isset($post->post_type)) {
        if (isset($post->post_type) && 'evpevents' == $post->post_type || 'locations' == $post->post_type || 'evpevents_task' == $post->post_type) {
            wp_enqueue_script('event-task', EVP_VOLUNTEER_URL . 'assets/js/jquery.validate.min.js', array('jquery'));
            wp_enqueue_style('jquery-ui', EVP_VOLUNTEER_URL . 'assets/css/jquery-ui.min.css');
            wp_enqueue_script('jquery-ui-datepicker');
            wp_enqueue_style('timepicker', EVP_VOLUNTEER_URL . 'assets/css/jquery.timepicker.min.css');
            wp_enqueue_script('add_date', EVP_VOLUNTEER_URL . 'assets/js/admin-main.js');
            wp_enqueue_script('add_migrate', EVP_VOLUNTEER_URL . 'assets/js/jquery-migrate-1.4.1.min.js');
            wp_enqueue_script('add_time', EVP_VOLUNTEER_URL . 'assets/js/jquery.timepicker.min.js');
            wp_enqueue_style('admin-css', EVP_VOLUNTEER_URL . 'assets/css/adminstyle.css');
        }
    }

    /*
     *  Admin enqueue for Registered Volunteer and Settings
     */
    if (isset($_GET['page']) && $_GET['page'] == 'entries_view.php' || isset($_GET['page']) && $_GET['page'] == 'vol_details.php' || isset($_GET['page']) && $_GET['page'] == 'evpentries.php' || isset($_GET['page']) && $_GET['page'] == 'evp_form_setting') {
        wp_enqueue_script('event-task', EVP_VOLUNTEER_URL . 'assets/js/jquery.validate.min.js', array('jquery'));
        wp_enqueue_style('jquery-ui', EVP_VOLUNTEER_URL . 'assets/css/jquery-ui.min.css');
        wp_enqueue_script('jquery-ui-datepicker');
        wp_enqueue_style('timepicker', EVP_VOLUNTEER_URL . 'assets/css/jquery.timepicker.min.css');
        wp_enqueue_script('add_date', EVP_VOLUNTEER_URL . 'assets/js/admin-main.js');
        wp_enqueue_script('add_migrate', EVP_VOLUNTEER_URL . 'assets/js/jquery-migrate-1.4.1.min.js');
        wp_enqueue_script('add_time', EVP_VOLUNTEER_URL . 'assets/js/jquery.timepicker.min.js');
        wp_enqueue_script('datatable-main', EVP_VOLUNTEER_URL . 'assets/js/table-data.js');
        wp_enqueue_script('dataTables-js', EVP_VOLUNTEER_URL . 'assets/js/jquery.dataTables.js');
        wp_enqueue_script('dataTables-js1', EVP_VOLUNTEER_URL . 'assets/js/jquery.dataTables.min.js');
        wp_enqueue_script('dataTables-js2', EVP_VOLUNTEER_URL . 'assets/js/dataTables.buttons.min.js');
        wp_enqueue_script('dataTables-js3', EVP_VOLUNTEER_URL . 'assets/js/buttons.flash.min.js');
        wp_enqueue_script('dataTables-js4', EVP_VOLUNTEER_URL . 'assets/js/jszip.min.js');
        wp_enqueue_script('dataTables-js5', EVP_VOLUNTEER_URL . 'assets/js/pdfmake.min.js');
        wp_enqueue_script('dataTables-js6', EVP_VOLUNTEER_URL . 'assets/js/vfs_fonts.js');
        wp_enqueue_script('dataTables-js7', EVP_VOLUNTEER_URL . 'assets/js/buttons.html5.min.js');
        wp_enqueue_script('dataTables-js8', EVP_VOLUNTEER_URL . 'assets/js/buttons.print.min.js');
        wp_enqueue_style('dataTables-css', EVP_VOLUNTEER_URL . 'assets/css/jquery.dataTables.css');
        wp_enqueue_style('dataTables-css1', EVP_VOLUNTEER_URL . 'assets/css/jquery.dataTables.min.css');
        wp_enqueue_style('dataTables-css2', EVP_VOLUNTEER_URL . 'assets/css/buttons.dataTables.min.css');
        wp_enqueue_style('admin-css', EVP_VOLUNTEER_URL . 'assets/css/adminstyle.css');
    }
}

add_action('admin_enqueue_scripts', 'evp_admin_event_script');


/*
 *  EVP Custom Table Data Insert
 */

function evp_data_insert_custom_table() {
    global $post;

    if (isset($_POST['action'])) {
        if ($_POST['action'] == "send_wow_form") {
            global $wpdb;
            $tablename = $wpdb->prefix . "postmeta";
            $id = sanitize_text_field($_POST['wowformid']);
            $table = $wpdb->prefix . "mwp_forms_free";
            $sSQL = $wpdb->prepare("select * from $table WHERE id = %d", $id);
            $arrresult = $wpdb->get_results($sSQL);

            if (count($arrresult) > 0) {
                global $current_user;
                $user_id = $current_user->ID;
                $form_id = $arrresult[0]->id;

                $key_data = json_encode($_POST['arrkey']);
                $event_id = get_post_meta(1, 'last_insert_event', true);
                $last_evp_task_name = get_post_meta($event_id, 'last_evp_task_name', true);

                $evpguardian_details = get_post_meta($event_id, 'evpguardian_details', true);
                $evp_guardian_email = get_post_meta($event_id, 'evp_guardian_email', true);
                $evp_guardian_name = get_post_meta($event_id, 'evp_guardian_name', true);
                $evp_guardian_phone = get_post_meta($event_id, 'evp_guardian_phone', true);


                $value_data = json_encode($_POST['arrval']);
                $current_time = date('Y-m-d H:i:s', current_time('timestamp'));
                $status = 0;
                $expiry_email_status = 0;

                $tblname = $wpdb->prefix . "wpbiker_form";

                $Volunteer_form_limit = get_post_meta($event_id, 'evp_volform_num', true);
                $total_Volunteer = get_total_Volunteer_registered_for_an_event($event_id);

                if ($Volunteer_form_limit == $total_Volunteer && !empty($Volunteer_form_limit)) {
                    echo "<p><strong>";
                    _e('Registration for this event has been closed.', 'event-volunteer');
                    echo "</strong></p>";
                    wp_die();
                }

                $sqlQuery = "SELECT COUNT(*) FROM $tblname WHERE arr_val = '" . $value_data . "'";
                $result_count = $wpdb->get_var($sqlQuery);

                if (empty($result_count)) {
                    $sql_db = "INSERT INTO $tblname (form_id,event_id,user_id,task_name,arr_key,arr_val,guardian_name,guardian_email,guardian_phone,datetime,status,expiry_email_status) VALUES ('" . $form_id . "','" . $event_id . "','" . $user_id . "','" . $last_evp_task_name . "','" . $key_data . "','" . $value_data . "','" . $evp_guardian_name . "','" . $evp_guardian_email . "','" . $evp_guardian_phone . "','" . $current_time . "','" . $status . "','" . $expiry_email_status . "')";
                    $wpdb->query($sql_db);
                    $last_id = $wpdb->insert_id;

                    $query = "SELECT * from $tblname where id ='" . $last_id . "'";
                    $result = $wpdb->get_row($query);
                    $formid = $result->form_id;
                    $event_id = $result->event_id;

                    $guardian_name = $result->guardian_name;
                    $guardian_email = $result->guardian_email;
                    $guardian_phone = $result->guardian_phone;

                    $event_name = get_the_title($event_id);
                    $event_start = get_post_meta($event_id, 'start_event', true);

                    $arr_key = json_decode($result->arr_key);
                    $arr_val = json_decode($result->arr_val);
                    $message = array_combine($arr_key, $arr_val);
                    $user_id = $result->user_id;
                    $id = $result->id;
                    $evp_task_name = $result->task_name;
                    $userdata = get_userdata($user_id);

                    foreach ($message as $key => $value) {

                        if (strpos($key, 'email-0') !== false) {
                            $email_value = $value;
                        } elseif (strpos($key, 'email-1') !== false) {
                            $email_value = $value;
                        } elseif (strpos($key, 'email-2') !== false) {
                            $email_value = $value;
                        } elseif (strpos($key, 'email-3') !== false) {
                            $email_value = $value;
                        } elseif (strpos($key, 'email-4') !== false) {
                            $email_value = $value;
                        } elseif (strpos($key, 'email-5') !== false) {
                            $email_value = $value;
                        } elseif (empty($email_value) && !empty($userdata)) {
                            $email_value = $userdata->user_email;
                        }

                        if (strpos($key, 'name-0') !== false) {
                            $email_name = $value;
                        } elseif (strpos($key, 'name-1') !== false) {
                            $email_name = $value;
                        } elseif (strpos($key, 'name-2') !== false) {
                            $email_name = $value;
                        } elseif (strpos($key, 'name-3') !== false) {
                            $email_name = $value;
                        } elseif (strpos($key, 'name-4') !== false) {
                            $email_name = $value;
                        } elseif (strpos($key, 'name-5') !== false) {
                            $email_name = $value;
                        } elseif (empty($email_name) && !empty($userdata)) {
                            $email_name = $userdata->user_login;
                        }
                    }

                    /*
                     * Send a email to volunteer registration for user and admin
                     */
                    if (!empty($result)) {
                        $to = $email_value;
                        $admin_email = get_option('evp_email_admin');
                        //     $subject = "Hi " . $email_name . ", welcome to our site!";

                        $subject = __("Hi " . $email_name . ", welcome to our site!", 'event-volunteer');

                        if (!empty($guardian_name) && !empty($guardian_email) && !empty($guardian_phone)) {
                            $body = "<p>" . __("Hello ", "event-volunteer") . $email_name . "</p>
<p>" . __("Thanks for registrating for the event ... ", "event-volunteer") . $event_name . " ... " . $event_start . "</p>        
<p>" . __("Order ID : ", "event-volunteer") . $id . " </p>    
<p>" . __("Task Name : ", "event-volunteer") . $evp_task_name . " </p> 
<p><strong>" . __("Below are the parents or guardian details.", "event-volunteer") . "</strong></p> 
<p>" . __("Name : ", "event-volunteer") . $guardian_name . " </p> 
<p>" . __("Email : ", "event-volunteer") . $guardian_email . " </p> 
<p>" . __("Phone : ", "event-volunteer") . $guardian_phone . " </p> 
<p>" . __("We will contact you soon.  ", "event-volunteer") . " </p>  
<p>" . __("Thanks, ", "event-volunteer") . " </p> 
<p>" . __("Admin", "event-volunteer") . " </p>";
                        } else {
                            $body = "<p>" . __("Hello ", "event-volunteer") . $email_name . "</p>
<p>" . __("Thanks for registrating for the event ... ", "event-volunteer") . $event_name . " ... " . $event_start . "</p>        
<p>" . __("Order ID : ", "event-volunteer") . $id . " </p>    
<p>" . __("Task Name : ", "event-volunteer") . $evp_task_name . " </p> 
<p>" . __("We will contact you soon.  ", "event-volunteer") . " </p>  
<p>" . __("Thanks, ", "event-volunteer") . " </p> 
<p>" . __("Admin", "event-volunteer") . " </p>";
                        }



                        $subject_admin = __("New Volunteer " . $email_name . ", Registered to our site!", 'event-volunteer');
                        $url = '<a href="' . admin_url('admin.php?page=entries_view.php&eid=') . $formid . '"> ' . admin_url('admin.php?page=entries_view.php&eid=') . $formid . '</a>';
                        if (!empty($guardian_name) && !empty($guardian_email) && !empty($guardian_phone)) {
                            $body_admin = "<p>" . __("Hello Admin", "event-volunteer") . "</p>
<p>" . __("A new volunteer has been registered for the event ... ", "event-volunteer") . $event_name . " ... " . $event_start . "</p>
<p><strong>" . __("Below are volunteer details :", "event-volunteer") . "</p></strong>
<p>" . __("Order ID : ", "event-volunteer") . $id . " </p> 
<p>" . __("Task Name : ", "event-volunteer") . $evp_task_name . " </p> 
<p>" . __("Name : ", "event-volunteer") . $email_name . " </p>
<p>" . __("Email : ", "event-volunteer") . $email_value . " </p> 
<p><strong>" . __("Below are the parents or guardian details.", "event-volunteer") . "</strong></p> 
<p>" . __("Name : ", "event-volunteer") . $guardian_name . " </p> 
<p>" . __("Email : ", "event-volunteer") . $guardian_email . " </p> 
<p>" . __("Phone : ", "event-volunteer") . $guardian_phone . " </p>
<p>" . __("See URL  : ", "event-volunteer") . $url . " </p>";
                        } else {
                            $body_admin = "<p>" . __("Hello Admin", "event-volunteer") . "</p>
<p>" . __("A new volunteer has been registered for the event ... ", "event-volunteer") . $event_name . " ... " . $event_start . "</p>
<p><strong>" . __("Below are volunteer details :", "event-volunteer") . "</p></strong>
<p>" . __("Order ID : ", "event-volunteer") . $id . " </p> 
<p>" . __("Task Name : ", "event-volunteer") . $evp_task_name . " </p> 
<p>" . __("Name : ", "event-volunteer") . $email_name . " </p>
<p>" . __("Email : ", "event-volunteer") . $email_value . " </p> 
<p>" . __("See URL  : ", "event-volunteer") . $url . " </p>";
                        }

                        $headers = array('Content-Type: text/html; charset=UTF-8');

                        if (isset($to) && !empty($to)) {
                            wp_mail($to, $subject, $body, $headers);
                        }
                        if (isset($admin_email) && !empty($admin_email)) {
                            wp_mail($admin_email, $subject_admin, $body_admin, $headers);
                        }

                        echo "<p><strong>";
                        _e('Thank You! Volunteer added successfully.', 'event-volunteer');
                        echo "</p></strong>";
                        ?> 
                        <script type="text/javascript">
                            document.getElementById("wow-form-id-<?php echo $formid; ?>").reset();
                        </script>    
                        <?php
                        wp_die();
                    }
                } else {
                    echo "<p><strong>";
                    _e('Duplicate form data not added.', 'event-volunteer');
                    echo "</p></strong>";
                    wp_die();
                }
            }
        }
    }
}

add_action('init', 'evp_data_insert_custom_table');

/*
 *  Volunteer Confirmation and Non Confirmation
 */

function evp_vol_submit() {
    global $wpdb;
    $tblname = $wpdb->prefix . "wpbiker_form";
    $email = sanitize_text_field($_POST['email']);
    $conf = sanitize_text_field($_POST['conf']);
    $cname = sanitize_text_field($_POST['cname']);
    $ename = sanitize_text_field($_POST['ename']);
    $evp_task_name = sanitize_text_field($_POST['evp_task_name']);
    $vid = sanitize_text_field($_POST['vid']);
    $to = $email;
    $admin_email = get_option('evp_email_admin');


    if ($_POST['conf'] == true) {
        $update = "UPDATE $tblname SET status = 1 WHERE id = '" . $vid . "'";
        $wpdb->query($update);
        $subject = __("Volunteer Confirmation", 'event-volunteer');
        $body = "<p>" . __("Hello Volunteer, admin confirm you for the event :  ", "event-volunteer") . $ename . " </p>
<p>" . __("Order ID : ", "event-volunteer") . $vid . " </p> 
<p>" . __("Task Name : ", "event-volunteer") . $evp_task_name . " </p> 
<p>" . __("Thanks, ", "event-volunteer") . " </p> 
<p>" . __("Admin", "event-volunteer") . " </p>";

        $body_admin = "<p>" . __("Hello Admin, you confirmed  ", "event-volunteer") . $cname . __(" for the event : ", "event-volunteer") . $ename . " </p>
<p>" . __("Order ID : ", "event-volunteer") . $vid . " </p> 
<p>" . __("Task Name : ", "event-volunteer") . $evp_task_name . " </p>";
    } else {
        $update = "UPDATE $tblname SET status = 0 WHERE id = '" . $vid . "'";
        $wpdb->query($update);
        $subject = __("Volunteer Non Confirmation", 'event-volunteer');
        $body = "<p>" . __("Hello Volunteer, admin not confirm you for the event :  ", "event-volunteer") . $ename . " </p>
<p>" . __("Order ID : ", "event-volunteer") . $vid . " </p> 
<p>" . __("Task Name : ", "event-volunteer") . $evp_task_name . " </p> 
<p>" . __("Thanks, ", "event-volunteer") . " </p> 
<p>" . __("Admin", "event-volunteer") . " </p>";

        $body_admin = "<p>" . __("Hello Admin, you didn't confirm  ", "event-volunteer") . $cname . __(" for the event : ", "event-volunteer") . $ename . " </p>
<p>" . __("Order ID : ", "event-volunteer") . $vid . " </p> 
<p>" . __("Task Name : ", "event-volunteer") . $evp_task_name . " </p>";
    }
    $headers = array('Content-Type: text/html; charset=UTF-8');

    if (isset($to) && !empty($to)) {
        wp_mail($to, $subject, $body, $headers);
    }
    if (isset($admin_email) && !empty($admin_email)) {
        wp_mail($admin_email, $subject, $body_admin, $headers);
    }
    wp_die();
}

add_action('wp_ajax_evp_vol_submit', 'evp_vol_submit');

/**
 *  Find Number of Volunteer for an Event
 */
function get_total_Volunteer_registered_for_an_event($eventid) {
    global $wpdb;
    $tblname = $wpdb->prefix . "wpbiker_form";
    $sqlQuery = "SELECT COUNT(*) FROM $tblname WHERE event_id = '" . $eventid . "'";
    $total_Volunteer = $wpdb->get_var($sqlQuery);
    if (!empty($total_Volunteer)) {
        return $total_Volunteer;
    } else {
        return $total_Volunteer = 0;
    }
}

/*
 * Send a welcome email to registered user and admin
 */

function evp_send_welcome_email_to_new_user($user_id, $event_id, $password1) {

    $event_name = get_the_title($event_id);
    $event_start = get_post_meta($event_id, 'start_event', true);

    $user = get_userdata($user_id);
    $user_email = $user->user_email;
    $user_full_name = $user->user_firstname . $user->user_lastname;

    $to = $user_email;
    $admin_email = get_option('evp_email_admin');

    $subject = __("Hi $user->user_firstname welcome to our site!", 'event-volunteer');
    $body = "<p>" . __("Hello ", "event-volunteer") . $user->user_firstname . ",</p>
<p>" . __("Thanks for registrating for the event ... ", "event-volunteer") . $event_name . " ... " . $event_start . "</p>        
<p><strong>" . __("Here are Login details :", "event-volunteer") . "</strong></p> 
<p>" . __("Username : ", "event-volunteer") . $user->user_login . " </p> 
<p>" . __("Password : ", "event-volunteer") . $password1 . " </p> 
<p>" . __("We will contact you soon.  ", "event-volunteer") . " </p>  
<p>" . __("Thanks, ", "event-volunteer") . " </p> 
<p>" . __("Admin", "event-volunteer") . " </p>";

    $subject_admin = __("New User $user->user_firstname Registered to our site!", 'event-volunteer');

    $body_admin = "<p>" . __("Hello Admin", "event-volunteer") . ",</p>
<p>" . __("A new user has been registered for the event ... ", "event-volunteer") . $event_name . " ... " . $event_start . "</p>        
<p><strong>" . __("Here are user details  :", "event-volunteer") . "</strong></p> 
<p>" . __("Name : ", "event-volunteer") . $user->user_firstname . " </p> 
<p>" . __("Email : ", "event-volunteer") . $user_email . " </p> ";

    $headers = array('Content-Type: text/html; charset=UTF-8');

    if (isset($to) && !empty($to)) {
        wp_mail($to, $subject, $body, $headers);
    }
    if (isset($admin_email) && !empty($admin_email)) {
        wp_mail($admin_email, $subject_admin, $body_admin, $headers);
    }
}

/*
 *   Setting option Event Volunteer Admin 
 */

function evp_form_setting() {
    $selected_page = get_option('evp_page_shortcode');
    ?>
    <div class="wrap">
        <h1><?php _e("Event Volunteer", "event-volunteer"); ?></h1> 

        <form method="post" action="options.php" id="post">
            <?php settings_fields('evp-plugin-settings-group'); ?>
            <table class="form-table">

                <tr valign="top">
                    <th scope="row"><?php _e("Admin Email", "event-volunteer"); ?></th>
                    <td><input type="email" name="evp_email_admin" value="<?php echo esc_attr(get_option('evp_email_admin')); ?>" required=""/></td>
                </tr>

                <tr valign="top">
                    <th scope="row"><?php _e("Select Event Page", "event-volunteer"); ?></th>
                    <td>
                        <select name="evp_page_shortcode" required=""> 
                            <option selected="selected" disabled="disabled" value=""><?php echo esc_attr(__('Select page')); ?></option> 
                            <?php
                            $pages = get_pages();
                            foreach ($pages as $page) {
                                $option = '<option value="' . $page->ID . '" ';
                                $option .= ( $page->ID == $selected_page ) ? 'selected="selected"' : '';
                                $option .= '>';
                                $option .= $page->post_title;
                                $option .= '</option>';
                                echo $option;
                            }
                            ?>
                        </select>    
                    </td>
                </tr>

            </table>

            <?php submit_button(); ?>

        </form>
    </div>

    <?php
}

/*
 *  Select Event page check filter content shortcode
 */

function evp_specific_page($content) {
    $selected_page = get_option('evp_page_shortcode');
    if (is_page($selected_page) && !empty($selected_page)) {
        echo do_shortcode('[evp_eventlist]');
    } else {
        return $content;
    }
}

add_filter('the_content', 'evp_specific_page', 9);

function register_evp_plugin_settings() {
    //register our settings 
    register_setting('evp-plugin-settings-group', 'evp_email_admin');
    register_setting('evp-plugin-settings-group', 'evp_page_shortcode');
}

add_action('admin_init', 'register_evp_plugin_settings');

/*
 * Days Prior Reminder Email cron job find POST ID
 */

function reminder_email_postid() {
    global $wpdb;
    $tblpost = $wpdb->prefix . "posts";
    $tblpostmeta = $wpdb->prefix . "postmeta";
    $condition = "pm.meta_key = 'start_event' AND pm.meta_value > NOW()";
    $Query = "SELECT pm.post_id,pm.meta_key,pm.meta_value,p.post_status
             FROM $tblpostmeta pm 
            LEFT JOIN $tblpost p ON pm.post_id = p.ID";
    $Query .= " WHERE {$condition} AND p.post_status = 'publish'";

    $theusers = $wpdb->get_results($Query);
    foreach ($theusers as $data) {
        $startdate = $data->meta_value;
        $days_prior_reminder = get_post_meta($data->post_id, 'evp_email_reminder_day', true);
        $date_reminder_date = date("Y-m-d", strtotime("-$days_prior_reminder days", strtotime($startdate)));

        $today_date = date("Y-m-d", time());

        if (!empty($theusers) && $today_date == $date_reminder_date) {
            $resultstr[] = $data->post_id;
        }
    }
    if (!empty($resultstr)) {
        return $post_id = implode(",", $resultstr);
    } else {
        return $post_id = "";
    }
}

/*
 * Days Prior Reminder Email cron job find User ID
 */

function reminder_email_users_id() {
    global $wpdb;
    $tblname = $wpdb->prefix . "wpbiker_form";
    $postid_str = reminder_email_postid();
    if (!empty($postid_str)) {
        $Query = "SELECT DISTINCT `user_id` FROM $tblname WHERE `event_id` IN ($postid_str) AND status = '1' AND expiry_email_status = 0";
        $theusers = $wpdb->get_results($Query);
        foreach ($theusers as $data) {
            if (!empty($theusers)) {
                $resultstr[] = $data->user_id;
            }
        }
        if (!empty($theusers)) {
            return $user_id = implode(",", $resultstr);
        } else {
            return $user_id = "";
        }
    }
}

function evp_reminder_email_send() {
    global $wpdb;
    $tblname = $wpdb->prefix . "wpbiker_form";
    $post_userid_str = reminder_email_users_id();
    $postid_str = reminder_email_postid();
    if (!empty($post_userid_str)) {
        $Query = "SELECT * FROM $tblname WHERE `user_id` IN ($post_userid_str) AND `event_id` IN ($postid_str) AND status = '1' AND expiry_email_status = 0";
        $theusers = $wpdb->get_results($Query);
        foreach ($theusers as $data) {
            if (!empty($theusers)) {
                $arr_key = json_decode($data->arr_key);
                $arr_val = json_decode($data->arr_val);
                $message = array_combine($arr_key, $arr_val);
                $user_id = $data->user_id;
                $userdata = get_userdata($user_id);
                foreach ($message as $key => $value) {
                    if (strpos($key, 'email-0') !== false) {
                        $email_value = $value;
                    } elseif (strpos($key, 'email-1') !== false) {
                        $email_value = $value;
                    } elseif (strpos($key, 'email-2') !== false) {
                        $email_value = $value;
                    } elseif (strpos($key, 'email-3') !== false) {
                        $email_value = $value;
                    } elseif (strpos($key, 'email-4') !== false) {
                        $email_value = $value;
                    } elseif (strpos($key, 'email-5') !== false) {
                        $email_value = $value;
                    } elseif (empty($email_value) && !empty($userdata)) {
                        $email_value = $userdata->user_email;
                    }

                    if (strpos($key, 'name-0') !== false) {
                        $email_name = $value;
                    } elseif (strpos($key, 'name-1') !== false) {
                        $email_name = $value;
                    } elseif (strpos($key, 'name-2') !== false) {
                        $email_name = $value;
                    } elseif (strpos($key, 'name-3') !== false) {
                        $email_name = $value;
                    } elseif (strpos($key, 'name-4') !== false) {
                        $email_name = $value;
                    } elseif (strpos($key, 'name-5') !== false) {
                        $email_name = $value;
                    } elseif (empty($email_name) && !empty($userdata)) {
                        $email_name = $userdata->user_login;
                    }
                }

                $to = $email_value;
                $admin_email = get_option('evp_email_admin');
                $id = $data->id;
                $evp_task_name = $data->task_name;
                $event_id = $data->event_id;
                $event_name = get_the_title($event_id);
                $event_start_date = get_post_meta($event_id, 'start_event', true);



                $subject = __("Event for $event_name Reminder", 'event-volunteer');

                $body = "<p>" . __("Hello ", "event-volunteer") . $email_name . ", </p>
   <p>" . __("Below are Event details : ", "event-volunteer") . " </p> 
<p>" . __("Order ID : ", "event-volunteer") . $id . " </p> 
<p>" . __("Task Name : ", "event-volunteer") . $evp_task_name . " </p>
<p>" . __("Event Name : ", "event-volunteer") . $event_name . " </p> 
<p>" . __("Start Date : ", "event-volunteer") . $event_start_date . " </p> 
<p>" . __("Thanks, ", "event-volunteer") . " </p> 
<p>" . __("Admin", "event-volunteer") . " </p>";

                $subject_admin = __("Event for $event_name Reminder", 'event-volunteer');

                $body_admin = "<p>" . __("Hello Admin, ", "event-volunteer") . " </p> 
<p>" . __("Below are Event details : ", "event-volunteer") . " </p> 
<p>" . __("Order ID : ", "event-volunteer") . $id . " </p> 
<p>" . __("Task Name : ", "event-volunteer") . $evp_task_name . " </p>
<p>" . __("Volunteer Name : ", "event-volunteer") . $email_name . " </p> 
<p>" . __("Volunteer Email : ", "event-volunteer") . $email_value . " </p> 
<p>" . __("Event Start Date : ", "event-volunteer") . $event_start_date . " </p>";

                $headers = array('Content-Type: text/html; charset=UTF-8');

                if (isset($admin_email) && !empty($admin_email)) {
                    wp_mail($admin_email, $subject_admin, $body_admin, $headers);
                }

                if (isset($to) && !empty($to)) {
                    wp_mail($to, $subject, $body, $headers);

                    // Update expiry_email_status 0 to 1 Reminder Email
                    $update = "UPDATE $tblname SET expiry_email_status = 1 WHERE id = '" . $id . "'";
                    $wpdb->query($update);
                }
            }
        }
    }
}

add_action('wp', 'evp_reminder_email_send');

function evp_custom_action() {
    global $wpdb;
    if (isset($_REQUEST['did']) && !empty($_REQUEST['did'])) {
        $deletekey = sanitize_text_field($_REQUEST['did']);
        $postmeta_tbl = $wpdb->prefix . "postmeta";
        $wpdb->query("delete from " . $postmeta_tbl . " WHERE `meta_key` = 'eventform' AND `meta_value` = '" . $deletekey . "'");
    }
}

add_action('init', 'evp_custom_action');

/*
 *   Checked If Wow Registration form exist From Database
 */

function evp_wowform_exist_data_form_by_ID($evp_formid) {
    global $wpdb;
    $tblname = $wpdb->prefix . "mwp_forms_free";
    $return_form_id = $wpdb->get_row("SELECT id FROM $tblname WHERE id = '" . $evp_formid . "'");
    if (!empty($return_form_id)) {
        return 'publish';
    } else {
        return 'fasle';
    }
}

/*
 *  Volunteer Data Delete 
 */

function evp_Volunteer_delete() {
    global $wpdb;
    $post_ids = $_POST['post_id'];
    $tblname = $wpdb->prefix . "wpbiker_form";
    $post_ids = array();
    foreach ($_POST['post_id'] as $pstvalue) {
        $post_ids[] = sanitize_text_field($pstvalue);
    }
    foreach ($post_ids as $id) {
        $Query = "DELETE FROM $tblname WHERE id = '" . $id . "'";
        $wpdb->query($Query);
    }
    wp_die();
}

add_action('wp_ajax_evp_Volunteer_delete', 'evp_Volunteer_delete');


 