<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

/*
 *  Plugin Admin Menus and Sub Menus
 */

add_action('admin_menu', 'evp_menu');

function evp_menu() {

    add_menu_page('Event Volunteers', 'Event Volunteers', 'manage_options', 'evpentries.php', 'evp_vol_entries', 'dashicons-groups', 10);
    add_submenu_page('entries.php', '', '', 'manage_options', 'entries_view.php', 'evp_vol_pages');
    add_submenu_page('vol_details.php', '', '', 'manage_options', 'vol_details.php', 'vol_details_pages');
    add_submenu_page('evpentries.php', 'Evp Events', 'Evp Events', 'manage_options', 'edit.php?post_type=evpevents');
    add_submenu_page('evpentries.php', 'Evp Locations', 'Evp Locations', 'manage_options', 'edit.php?post_type=locations');
    add_submenu_page('evpentries.php', 'Evp Events Task', 'Evp Events Task', 'manage_options', 'edit.php?post_type=evpevents_task');
    add_submenu_page('evpentries.php', 'Evp Settings', 'Evp Settings', 'manage_options', 'evp_form_setting', 'evp_form_setting');
}

function evp_vol_entries() {
    global $wpdb;
    $post_table = $wpdb->prefix . 'mwp_forms_free';
    $formids = $wpdb->get_results("SELECT `id`, `title` FROM $post_table");
    if (!empty($formids)) {
        ?>
        <h1 class = "wp-heading-inline"><?php _e("Volunteer Forms :", "event-volunteer"); ?></h1>
        <table class="widefat fixed" cellspacing="0">
            <thead>
                <tr>
                    <th id="columnname" class="manage-column column-columnname" scope="col"><?php _e("S.No.", "event-volunteer"); ?></th> 
                    <th id="columnname" class="manage-column column-columnname" scope="col"><?php _e("Title", "event-volunteer"); ?></th>
                    <th id="columnname" class="manage-column column-columnname " scope="col"></th> 
                    <th id="columnname" class="manage-column column-columnname " scope="col"></th> 
                </tr>
            </thead>

            <tbody>
                <?php
                $count = 1;
                foreach ($formids as $formid) {
                    $url = "admin.php?page=entries_view.php&eid=$formid->id";
                    ?>
                    <tr class="alternate">
                        <td class="column-columnname"><?php echo $count; ?></td>
                        <td class="column-columnname"> <?php if (!empty($formid->title)) {
                echo $formid->title;
            } else {
                echo "Form ID " . $formid->id;
            }
            ?></td>
                    </tr> 
                    <tr class="alternate" valign="top"> 
                        <td class="check-column" scope="row"></td>
                        <td class="column-columnname">
                            <span><a href= <?php echo admin_url($url); ?> ><?php _e("View", "event-volunteer"); ?></a></span>
                        </td>

                    </tr> 
            <?php
            $count++;
        }
        ?>

            </tbody>
        </table>
    <?php } else {
        ?>
        <h3 class="wp-heading-inline"><?php _e("Your Form Is Empty.", "event-volunteer"); ?></h3>
        <?php
    }
}

/*
 *  Volunteer Table List 
 */

function evp_vol_pages() {
    ?>
    <a href="<?php echo admin_url('admin.php?page=evpentries.php'); ?>"><img src="<?php echo EVP_VOLUNTEER_URL; ?>/assets/images/back-icon.png" /></a>
    <?php
    global $wpdb;
    $post_id = sanitize_text_field($_GET["eid"]);

    // Get Registered Volunteer form name by id
    $tblname_mwp_forms_free = $wpdb->prefix . "mwp_forms_free";
    $return_form_name = $wpdb->get_row("SELECT title FROM $tblname_mwp_forms_free WHERE id = '" . $post_id . "'");
    if (!empty($return_form_name)) {
        echo '<h1>' . $return_form_name->title . '</h1>';
    }
    $tblname = $wpdb->prefix . "wpbiker_form";
    $results = $wpdb->get_results("select * from $tblname where form_id = '" . $post_id . "' ORDER BY `id` DESC");
    if (!empty($results)) {
        ?>
        <h2 class="wp-heading-inline"><?php _e("Registered Volunteer", "event-volunteer"); ?></h2>
        <table id="evptable" class="display nowrap" style="width:100%">
            <thead>
                <tr>
                    <th class="manage-column column-cb check-column" scope="col"><?php _e("S.No.", "event-volunteer") ?></th>
                    <th class="manage-column column-cb check-column" scope="col"><?php _e("Order ID", "event-volunteer") ?></th>
                    <th class="manage-column column-cb check-column" scope="col"><?php _e("Name", "evp-event") ?></th> 
                    <th class="manage-column column-cb check-column" scope="col"><?php _e("Email", "evp-event") ?></th> 
                    <th class="manage-column column-cb check-column" scope="col"><?php _e("Event Name", "event-volunteer") ?></th>
                    <th class="manage-column column-cb check-column" scope="col"><?php _e("Event Start", "event-volunteer") ?></th>
                    <th class="manage-column column-cb check-column" scope="col"><?php _e("Event End", "event-volunteer") ?></th>
                    <th class="manage-column column-cb check-column" scope="col"><?php _e("Status", "event-volunteer") ?></th>
                    <th class="manage-column column-cb check-column" scope="col"><?php _e("Add Date", "event-volunteer") ?></th>
                    <th class="manage-column column-cb check-column" scope="col"><input type='button' value='Delete' id='delete'></th>
                    <th class="manage-column column-cb check-column" scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <?php
                if (!empty($results)) {
                    if (count($results) > 0) {
                        //$i =0;
                        $count = 1;
                        foreach ($results as $result) {
                            $id = $result->id;
                            $date = $result->datetime;
                            $event_id = $result->event_id;
                            $event_start_date = get_post_meta($event_id, 'start_event', true);
                            $event_end_date = get_post_meta($event_id, 'end_event', true);
                            $event_name = get_the_title($event_id);
                            $evp_task_name = $result->task_name;
                            $status = $result->status;
                            $formid = $result->form_id;
                            $arr_key = json_decode($result->arr_key);
                            $arr_val = json_decode($result->arr_val);
                            $message = array_combine($arr_key, $arr_val);
                            $user_id = $result->user_id;
                            $userdata = get_userdata($user_id);
                            ?>
                            <?php
                            foreach ($message as $key => $value) {

                                if (strpos($key, 'email-0') !== false) {
                                    $email_value = $value;
                                } elseif (strpos($key, 'email-1') !== false) {
                                    $email_value = $value;
                                } elseif (strpos($key, 'email-2') !== false) {
                                    $email_value = $value;
                                } elseif (strpos($key, 'email-3') !== false) {
                                    $email_value = $value;
                                } elseif (strpos($key, 'email-4') !== false) {
                                    $email_value = $value;
                                } elseif (strpos($key, 'email-5') !== false) {
                                    $email_value = $value;
                                } elseif (empty($email_value) && !empty($userdata)) {
                                    $email_value = $userdata->user_email;
                                }

                                if (strpos($key, 'name-0') !== false) {
                                    $email_name = $value;
                                } elseif (strpos($key, 'name-1') !== false) {
                                    $email_name = $value;
                                } elseif (strpos($key, 'name-2') !== false) {
                                    $email_name = $value;
                                } elseif (strpos($key, 'name-3') !== false) {
                                    $email_name = $value;
                                } elseif (strpos($key, 'name-4') !== false) {
                                    $email_name = $value;
                                } elseif (strpos($key, 'name-5') !== false) {
                                    $email_name = $value;
                                } elseif (empty($email_name) && !empty($userdata)) {
                                    $email_name = $userdata->user_login;
                                }
                            }
                            ?>
                            <tr id='tr_<?= $id ?>'> 
                                <td class="column-columnname"><?php echo $count; ?></td>
                                <td class="column-columnname"><?php echo $id; ?></td>
                                <td class="column-columnname"><?php
                    if (!empty($email_name)) {
                        echo $email_name;
                    }
                            ?></td>
                                <td class="column-columnname"><?php
                    if (!empty($email_value)) {
                        echo $email_value;
                    }
                            ?></td>
                                <td class="column-columnname"><?php
                    if (!empty($event_name)) {
                        echo $event_name;
                    }
                            ?></td>
                                <td class="column-columnname"><?php
                    if (!empty($event_start_date)) {
                        echo $event_start_date;
                    }
                            ?></td>
                                <td class="column-columnname"><?php
                    if (!empty($event_end_date)) {
                        echo $event_end_date;
                    }
                            ?></td>
                                <td class="column-columnname">
                                    <?php
                                    if ($status == 0) {
                                        _e("Not confirm", "event-volunteer");
                                    } else {
                                        _e("Confirmed", "event-volunteer");
                                    }
                                    ?></td>
                                <td class="column-columnname"><?php echo $date; ?></td>
                                <td class="column-columnname"><input type='checkbox' id='del_<?php echo $id; ?>' ></td>
                                <td class="column-columnname"><a href="admin.php?page=vol_details.php&tool=checkinfo&id=<?php echo $id; ?>&event_id=<?php echo $event_id; ?>&formid=<?php echo $post_id; ?>" class="evpbtn"><?php _e("View Details", "event-volunteer"); ?></a></td>
                            </tr>
                            <?php
                            $count++;
                        }
                    }
                }
            } else {
                ?>
            <h3 class="wp-heading-inline"><?php _e("Your Form Is Empty.", "event-volunteer"); ?></h3>
    <?php } ?> 
    </tbody>
    </table>

    <?php
}

/*
 *  Volunteer Details  
 */

function vol_details_pages($getid) {
    global $wpdb;
    global $post;
    $getid = sanitize_text_field($_GET['id']);
    $event_id = sanitize_text_field($_GET['event_id']);
    $postid = sanitize_text_field($_GET["formid"]);
    $tblname = $wpdb->prefix . "wpbiker_form";
    $results = $wpdb->get_results("select * from $tblname WHERE id = '" . $getid . "'");
    $evpguardian_details = get_post_meta($event_id, 'evpguardian_details', true);
    ?>
    <div class="wpbikerbox" id="evtdetails">
        <div style="display: block; overflow: auto">
            <div id="wpbiker-form-parent">
                <div id="wpbiker-form-id" class>
                    <div id="wpbikerformconfirm" class="wpbiker-col">
                        <a href="<?php echo admin_url('admin.php?page=entries_view.php&eid=') . $postid; ?>"><img src="<?php echo EVP_VOLUNTEER_URL; ?>/assets/images/back-icon.png" /></a>  
                        <h1 class = "wp-heading-inline"><?php _e("Volunteer Details :", "event-volunteer") ?></h1>
                        <?php
                        if (count($results) > 0) {
                            foreach ($results as $result) {
                                $id = $result->id;
                                $ename = get_the_title($event_id);
                                $formid = $result->form_id;
                                $evp_task_name = $result->task_name;
                                // Get the parents or guardian details.
                                $guardian_name = $result->guardian_name;
                                $guardian_email = $result->guardian_email;
                                $guardian_phone = $result->guardian_phone;
                                $status = $result->status;
                                $arr_key = json_decode($result->arr_key);
                                $arr_val = json_decode($result->arr_val);
                                $message = array_combine($arr_key, $arr_val);
                                $mess = '';
                                $i = 1;
                                $user_id = $result->user_id;
                                $userdata = get_userdata($user_id);
                                foreach ($message as $key => $value) {
                                    $pos = strripos($key, 'wpbiker-field');
                                    if (strpos($key, 'email-0') !== false) {
                                        $email_value = $value;
                                    } elseif (strpos($key, 'email-1') !== false) {
                                        $email_value = $value;
                                    } elseif (strpos($key, 'email-2') !== false) {
                                        $email_value = $value;
                                    } elseif (strpos($key, 'email-3') !== false) {
                                        $email_value = $value;
                                    } elseif (strpos($key, 'email-4') !== false) {
                                        $email_value = $value;
                                    } elseif (strpos($key, 'email-5') !== false) {
                                        $email_value = $value;
                                    } elseif (empty($email_value) && !empty($userdata)) {
                                        $email_value = $userdata->user_email;
                                    }

                                    if (strpos($key, 'name-0') !== false) {
                                        $email_name = $value;
                                    } elseif (strpos($key, 'name-1') !== false) {
                                        $email_name = $value;
                                    } elseif (strpos($key, 'name-2') !== false) {
                                        $email_name = $value;
                                    } elseif (strpos($key, 'name-3') !== false) {
                                        $email_name = $value;
                                    } elseif (strpos($key, 'name-4') !== false) {
                                        $email_name = $value;
                                    } elseif (strpos($key, 'name-5') !== false) {
                                        $email_name = $value;
                                    } elseif (empty($email_name) && !empty($userdata)) {
                                        $email_name = $userdata->user_login;
                                    }
                                    if ($i % 2 != 0) {
                                        if ($pos === false) {
                                            echo '<p><strong>' . $value . " : " . '</strong>';
                                        } else {
                                            echo '<p><strong>' . $value . " : " . '</strong>';
                                        }
                                    }
                                    if ($i % 2 == 0) {
                                        if ($pos === false) {
                                            echo $value . ' </p>';
                                        } else {
                                            echo $value . ' </p>';
                                        }
                                    }
                                    $i++;
                                }
                                ?>					
                                <?php
                            }
                        }
                        if (!empty($evp_task_name)) {
                            ?>
                            <p><strong><?php _e("Task Name :", "event-volunteer"); ?> </strong><?php echo $evp_task_name; ?></p> 
                        <?php } ?>  

    <?php if (!empty($guardian_name) && !empty($guardian_email) && !empty($guardian_phone)) { ?>   
                            <h2><?php _e("Below are the parents or guardian details. :", "event-volunteer"); ?> </h2>                        
                            <p><strong><?php _e("Name :", "event-volunteer"); ?> </strong><?php echo $guardian_name; ?></p> 
                            <p><strong><?php _e("Email :", "event-volunteer"); ?> </strong><?php echo $guardian_email; ?></p>
                            <p><strong><?php _e("Phone Number  :", "event-volunteer"); ?> </strong><?php echo $guardian_phone; ?></p>
                            <?php } ?>                    

                        <p><strong><?php _e("Send Email For :", "event-volunteer"); ?> </strong>
                            <?php if ($status == 0) {
                                ?>
                                <a name="confirm" id="cnf" value= "<?php echo $email_value; ?>" href=""><?php _e("Confirm", "event-volunteer"); ?> </a>
                            <?php } else { ?>
                                <a name="notconfirm" id="notcnf" value= "<?php echo $email_value; ?>" href=""> <?php _e("Not Confirm", "event-volunteer"); ?> </a>
    <?php } ?>
                        </p>
                        <input type="hidden" id="evp_task_name" name="evp_task_name" value="<?php echo $evp_task_name; ?>" />
                        <input type="hidden" id="cname" name="cname" value="<?php echo $email_name; ?>" />
                        <input type="hidden" id="ename" name="ename" value="<?php echo $ename; ?>" />
                        <input type="hidden" id="vid" name="vid" value="<?php echo $id; ?>" />      	
                    </div> 
                </div>
            </div>
        </div>
    </div>
    <?php
}
