<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
/*
 * The template for displaying all single event post
 *
 */
get_header();

global $post;
$wpdb;
$current_user;
$user;

/*
 *  Added visit last event ID post meta      
 */
update_post_meta(1, 'last_insert_event', $post->ID);
$evp_formid = get_post_meta($post->ID, 'eventform', true);

// Check wowform exist status
$evp_form_status = evp_wowform_exist_data_form_by_ID($evp_formid);

/*
 *  Added last event task post meta     
 */
if (isset($_POST["evp_task_name"]) && !empty($_POST["evp_task_name"])) {
    $last_evp_task = $_POST['evp_task_name'];
    if (!empty($last_evp_task)) {
        $last_save_evp_task_name = implode(', ', $last_evp_task);
        update_post_meta($post->ID, 'last_evp_task_name', $last_save_evp_task_name);
    }
}
// Delete last event task post meta  
else {
    delete_post_meta($post->ID, 'last_evp_task_name');
}

/*
 *  Added parents or guardian details save post    
 */
if (isset($_POST["evpguardian_details"]) && !empty($_POST["evpguardian_details"])) {
    $evpguardian_details = $_POST['evpguardian_details'];
    $guardian_name = sanitize_text_field($_POST['guardian_name']);
    $guardian_email = sanitize_text_field($_POST['guardian_email']);
    $guardian_phone = sanitize_text_field($_POST['guardian_phone']);

    if (!empty($evpguardian_details)) {
        update_post_meta($post->ID, 'evpguardian_details', $evpguardian_details);
    }
    if (!empty($guardian_name)) {
        update_post_meta($post->ID, 'evp_guardian_name', $guardian_name);
    }
    if (!empty($guardian_email)) {
        update_post_meta($post->ID, 'evp_guardian_email', $guardian_email);
    }
    if (!empty($guardian_phone)) {
        update_post_meta($post->ID, 'evp_guardian_phone', $guardian_phone);
    }
}
// Delte parents or guardian details save post data.
else {
    delete_post_meta($post->ID, 'evpguardian_details');
    delete_post_meta($post->ID, 'evp_guardian_name');
    delete_post_meta($post->ID, 'evp_guardian_email');
    delete_post_meta($post->ID, 'evp_guardian_phone');
}

            $event_start = get_post_meta($post->ID, 'start_event', true);
            $event_end = get_post_meta($post->ID, 'end_event', true);
            $start_time = get_post_meta($post->ID, 'start_time', true);
            $end_time = get_post_meta($post->ID, 'end_time', true);
            $post_name_location = get_post_meta($post->ID, 'gwl_event_fields', true);

            $venue = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_name = '" . $post_name_location . "'");

            $address = get_post_meta($venue, 'event_address', true);
            $event_city = get_post_meta($venue, 'event_city', true);
            $event_state = get_post_meta($venue, 'event_state', true);
            $event_zip = get_post_meta($venue, 'event_zip', true);
            $event_lat = get_post_meta($venue, 'event_latitude', true);
            $event_long = get_post_meta($venue, 'event_longitude', true);
            $rec = get_post_meta($venue, "recurring_event", true);
            $venue_title = get_the_title($venue);

            $Volunteer_form_limit = get_post_meta($post->ID, 'evp_volform_num', true);
            $total_Volunteer = get_total_Volunteer_registered_for_an_event($post->ID);
            
            $event_date = strtotime($event_start);
            $now = strtotime(date("Y-m-d"));
   ?>  

<div class="event-container"> 
    <div class="event_wrap">
        <header class="entry-header">
            <div class="entry-meta">
                <div class="gray-wrapper-post"><h1 class="entry-title"><?php the_title(); ?> </h1> </div>
               </div><!-- .entry-meta -->
        </header>  
        
              
        <div class="evp-content">
            <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                    <?php the_content(); ?> 
                <?php endwhile;
            endif; ?>  
        </div>
        <div class="evp-location"> 

            <!-- Event Location Details Tabs --> 

            <div class="event_details">

                <?php
                if (!empty($event_start)) {
                    echo "<p><b>";
                    _e('Event Start Date : ', 'event-volunteer');
                    echo "</b>";
                    echo date("d-M-Y D", strtotime($event_start));
                    echo "</p>";
                }
                ?>

                <?php
                if (!empty($start_time)) {
                    echo "<p><b>";
                    _e('Event Start Time : ', 'event-volunteer');
                    echo "</b>";
                    echo date("g:i a", strtotime($start_time));
                    echo "</p>";
                }
                ?>

                <?php
                if (!empty($event_end)) {
                    echo "<p><b>";
                    _e('Event End Date : ', 'event-volunteer');
                    echo "</b>";
                    echo date("d-M-Y D", strtotime($event_end));
                    echo "</p>";
                }
                ?>

                <?php
                if (!empty($end_time)) {
                    echo "<p><b>";
                    _e('Event End Time : ', 'event-volunteer');
                    echo "</b>";
                    echo date("g:i a", strtotime($end_time));
                    echo "</p>";
                }
                ?> 

                <?php
                if (!empty($venue_title)) {
                    echo "<p><b>";
                    _e('Venue : ', 'event-volunteer');
                    echo "</b>";
                    echo $venue_title;
                    echo "</p>";
                }
                ?>

                <?php
                if (!empty($address)) {
                    echo "<p><b>";
                    _e('Address : ', 'event-volunteer');
                    echo "</b>";
                    echo $address;
                    echo "</p>";
                }
                ?>

                <?php
                if (!empty($event_city)) {
                    echo "<p><b>";
                    _e('City : ', 'event-volunteer');
                    echo "</b>";
                    echo $event_city;
                    echo "</p>";
                }
                ?> 

                <?php
                if (!empty($event_state)) {
                    echo "<p><b>";
                    _e('State : ', 'event-volunteer');
                    echo "</b>";
                    echo $event_state;
                    echo "</p>";
                }
                ?>

                <?php
                if (!empty($event_zip)) {
                    echo "<p><b>";
                    _e('Postal Code : ', 'event-volunteer');
                    echo "</b>";
                    echo $event_zip;
                    echo "</p>";
                }
                ?>

                <?php
                $i = 1;
                while (have_posts()) : the_post();
                    ?>
                    <?php if (!empty($event_lat) && !empty($event_long)) {
                        ?>
                        <div id="map-<?php echo $i; ?>" style="height:250px;"></div>
                        <script type="text/javascript">initialize(<?php echo $i; ?>,<?php echo $event_lat; ?>,<?php echo $event_long; ?>);</script> 
                    <?php } ?>
                </div>
                <?php
                $i++;
            endwhile;
            ?>
        </div>   

        <?php
         if ($event_date < $now) {
           echo "<p>";
           _e('Registration for this event has been closed.', 'event-volunteer');
           echo "</p>";
           exit();                    
            }  
        ?> 
        

        <div class="tab">
            <?php if (!is_user_logged_in()) { ?>
                <button class="tablinks <?php
                if (empty($_REQUEST['Login'])) { 
                    echo 'active';
                }
                ?>      " onclick="openCity(event, 'signup_tab')"><?php _e("Registration", "event-volunteer"); ?></button> 
                <button class="tablinks <?php
                if (isset($_REQUEST['Login']) && $_REQUEST['Login'] == 'Invlaid') {
                    echo 'active';
                }
                ?>" onclick="openCity(event, 'login_tab')"><?php _e("Login", "event-volunteer"); ?></button> <?php } ?>

        </div>
        <?php if (is_user_logged_in()) { ?>
            <h3><?php _e("Add Volunteers", "event-volunteer"); ?> </button></span></h3>
        <?php } ?>



        <!-- Register or Login form Tabs --> 
        <?php if (!is_user_logged_in()) { ?>
            <div id="signup_tab" class="tabcontent"  <?php
            if (empty($_REQUEST['Login'])) {
                echo 'style="display: block;"';
            }
            ?> >

                <?php
                if ($Volunteer_form_limit > $total_Volunteer) {
                    echo "<p><b>";
                    _e('Please register yourself.', 'event-volunteer');
                    echo "</b></p>";
                    echo do_shortcode('[evp_registration]');
                } elseif ($Volunteer_form_limit == '0') {
                    echo "<p>";
                    _e('Registration for this event has been closed.', 'event-volunteer');
                    echo "</p>";
                } elseif (empty($Volunteer_form_limit)) {
                    echo do_shortcode('[evp_registration]');
                } else {
                    echo "<p>";
                    _e('Registration for this event has been closed.', 'event-volunteer');
                    echo "</p>";
                }
                ?>
            </div>

            <div id="login_tab"  class="tabcontent"<?php
            if (isset($_REQUEST['Login']) && $_REQUEST['Login'] == 'Invlaid') {
                echo 'style="display: block;"';
            }
            ?>>
                     <?php
                     if (isset($_REQUEST['Login']) && $_REQUEST['Login'] == 'Invlaid') {
                         echo '<p class="evp-required">Invalid login details.</p>';
                     }
                     ?>      
                     <?php echo do_shortcode('[evp_login]'); ?>
            </div>
        <?php } ?>


        <!-- Login user form Tabs --> 

        <?php if (is_user_logged_in()) { ?>
            <div id="volunteer_tab">  
                <?php
                if (!empty($evp_formid) && $evp_form_status == 'publish') {
                    ?> 
                    <div class="event_details" id="evpwowformid">
                        <?php
                        global $post;
                        $i = 1;
                        while (have_posts()) : the_post();
                            if ($Volunteer_form_limit > $total_Volunteer) {
                                if (!empty($evp_formid) && $evp_form_status == 'publish') {

                                    if (isset($_REQUEST['evp_task_name']) && !empty($_REQUEST['evp_task_name'])) {
                                        echo do_shortcode('[Wow-Forms id="' . $evp_formid . '"]');
                                        ?>
                                        <a href='javascript:history.back()'><button id="evp_vol_privious"><?php _e("Previous", "event-volunteer"); ?></button></a> 
                                        <?php
                                    } else {
                                        include('task-evp-events.php');
                                    }
                                } else {
                                    echo "<p>";
                                    _e('There is no volunteer form selected for this event,<br> admin is able to select a volunteer form for this Event.', 'event-volunteer');
                                    echo "</p>";
                                }
                            } elseif ($Volunteer_form_limit == '0') {
                                echo "<p>";
                                _e('Registration for this event has been closed.', 'event-volunteer');
                                echo "</p>";
                            } elseif (empty($Volunteer_form_limit)) {
                                if (!empty($evp_formid) && $evp_form_status == 'publish') {
                                    if (isset($_REQUEST['evp_task_name']) && !empty($_REQUEST['evp_task_name'])) {
                                        echo do_shortcode('[Wow-Forms id="' . $evp_formid . '"]');
                                        ?>
                                        <a href='javascript:history.back()'><button id="evp_vol_privious"><?php _e("Previous", "event-volunteer"); ?></button></a>      
                                        <?php
                                    } else {
                                        include('task-evp-events.php');
                                    }
                                } else {
                                    echo "<p>";
                                    _e('There is no volunteer form selected for this event,<br> admin is able to select a volunteer form for this Event.', 'event-volunteer');
                                    echo "</p>";
                                }
                            } else {
                                echo "<p>";
                                _e('Registration for this event has been closed.', 'event-volunteer');
                                echo "</p>";
                            }
                            $i++;
                        endwhile;
                        ?>
                    </div> 
                <?php } else { ?>
                    <div class="event_details">
                        <p><?php _e("There is no volunteer form selected for this event,<br> admin is able to select a volunteer form for this Event.", "event-volunteer"); ?></p>
                    </div> 
                <?php } ?>


            </div>
            <?php
        } else {
            ?>   
        <?php } ?>    

    </div>
</div>

<?php get_footer(); ?>   
